// INDEPENDENT TEST

#ifndef MOBJECT_SERIALIZATION
#define MOBJECT_SERIALIZATION

#include <MObject.h>

#include <boost/archive/xml_oarchive.hpp>
#include <boost/archive/xml_iarchive.hpp>

#include <boost/serialization/nvp.hpp>
#include <boost/serialization/split_free.hpp>

#include <boost/serialization/type_info_implementation.hpp>
#include <boost/serialization/extended_type_info_no_rtti.hpp>
#include <boost/serialization/export.hpp>

BOOST_SERIALIZATION_SPLIT_FREE(MObject)


namespace boost {
namespace serialization {

template<class Archive>
void save(Archive & ar, const MObject & m, const unsigned int version);

template<class Archive>
void load(Archive & ar, MObject & m, const unsigned int version);

}
}

BOOST_CLASS_TYPE_INFO(MObject, extended_type_info_no_rtti<MObject>)

// Following does not change anything

BOOST_IS_ABSTRACT(MObject)

#endif
