// INDEPENDENT TEST

#ifndef MEMBER_VARIABLE_SPECIFICATION_SERIALIZATION
#define MEMBER_VARIABLE_SPECIFICATION_SERIALIZATION

#include <MemberVariableSpecification.h>

#include <boost/archive/xml_oarchive.hpp>
#include <boost/archive/xml_iarchive.hpp>

#include <boost/serialization/nvp.hpp>
#include <boost/serialization/split_free.hpp>

#include <boost/serialization/type_info_implementation.hpp>
#include <boost/serialization/extended_type_info_no_rtti.hpp>
#include <boost/serialization/export.hpp>


namespace boost {
namespace serialization {

template<class Archive>
void save(Archive & ar, const MemberVariableSpecification & m, const unsigned int version);

template<class Archive>
void load(Archive & ar, MemberVariableSpecification & m, const unsigned int version);


}
}


BOOST_CLASS_TYPE_INFO(MemberVariableSpecification, extended_type_info_no_rtti<MemberVariableSpecification>)

BOOST_SERIALIZATION_SPLIT_FREE(MemberVariableSpecification)

#endif
